


#ifndef CENCODE_H
#define CENCODE_H


#include <iostream.h>
#include <fstream.h>

#include "CNode.h"




class CEncode
{
private:
	ofstream outfile;
	int bitstream_position;
	unsigned char bitdata;
	int bitcount;
	unsigned char *data;

public:
	void InitEncode(char *filename, unsigned char *data, int length);
	void Encode(CNode *best);
	void EndDecode();
	void WriteByte(unsigned char value);
	void WriteBit(int value);
	void WriteBits(int value, int bits);
	int GetGammaSize(int value);
	void WriteEliasGamma(int value);
};





#endif
