


#ifndef CMATCH_H
#define CMATCH_H


#include "CNode.h"



class CMatch
{
private:
	int depth;
	int length;
	unsigned char* data;
	CNode *top;
	CNode *best;

public:
	CMatch();
	~CMatch();

	int GetRepeatCount(int position);
	int GetMatchLength(int current, int past);
	int GetGammaSize(int value);
	void GetNextMatch(CNode *node);
	void Init(unsigned char *data, int length);
	CNode *FindMatches(int position);
};








#endif
